#pragma once


class QTranslator;
class QString;


namespace qut
{


class LanguageLoader
{
public:
	static bool LoadLanguageAuto(QTranslator& translator);
	static bool LoadLanguageQtDir(QTranslator& translator);
	static bool LoadFromStartupDir(QTranslator& translator);

private:
	static bool LoadLanguageMain(QTranslator& translator, const QString& dir);
};


}
